base-compat-0.9.2: A compatibility layer for base

Safe Haskell | Safe
Language | Haskell98

Foreign.Marshal.Array.Compat

Synopsis

- callocArray :: Storable a => Int -> IO (Ptr a)
- callocArray0 :: Storable a => Int -> IO (Ptr a)

# Documentation

callocArray :: Storable a => Int -> IO (Ptr a) #

Like `mallocArray`, but allocated memory is filled with bytes of value zero.

callocArray0 :: Storable a => Int -> IO (Ptr a) #

Like `callocArray0`, but allocated memory is filled with bytes of value zero.